# Uses of Class
org.springframework.web.servlet.mvc.condition.CompositeRequestCondition

Packages that use CompositeRequestCondition
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.

## Uses of CompositeRequestCondition in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return CompositeRequestCondition
Modifier and Type
Method
Description
`CompositeRequestCondition`
CompositeRequestCondition.`combine(CompositeRequestCondition other)`
If one instance is empty, return the other.
`CompositeRequestCondition`
CompositeRequestCondition.`getMatchingCondition(HttpServletRequest request)`
Delegate to all contained conditions to match the request and return the resulting "matching" condition instances.
Methods in org.springframework.web.servlet.mvc.condition with parameters of type CompositeRequestCondition
Modifier and Type
Method
Description
`CompositeRequestCondition`
CompositeRequestCondition.`combine(CompositeRequestCondition other)`
If one instance is empty, return the other.
`int`
CompositeRequestCondition.`compareTo(CompositeRequestCondition other, HttpServletRequest request)`
If one instance is empty, the other "wins".